API
Acceldata Data Observability Cloud
Get Started
Assets
Asset Schema References
Data Reliability Schema References
Pipelines
Authentication
Authorization
Title
Message
Create new category
What is the title of your new category?
Edit page index title
What is the title of the page index?
Edit category
What is the new title of your category?
Edit link
What is the new title and URL of your link?
Data Policy Templates
Summarize Page
Copy Markdown
Open in ChatGPT
Open in Claude
Connect to Cursor
Connect to VS Code
Data Policy Templates allow teams to define reusable rule configurations that can be applied when creating Data Quality or other reliability policies. A template may contain:
- A set of predefined rule items
- Conditions or expressions
- Standard thresholds
- Business logic reusable across multiple policies
This functionality is often used when teams want standardized rule logic across many policies (e.g., shared DQ checks for all PII tables).
Available Endpoints
| Action | Endpoint |
|---|---|
| Create Template | POST /catalog-server/api/rules/business-rules |
| List Template | GET /catalog-server/api/rules/business-rules |
| Get Template by ID | GET /catalog-server/api/rules/business-rules/:businessRuleId |
| Update Template | DELETE /catalog-server/api/rules/business-rules/:businessRuleId |
| Delete Template | DELETE /catalog-server/api/policy-templates/:id |
| Get Template Items | GET /catalog-server/api/rules/business-rules/:businessRuleId/items |
Path Parameter (GET Template)
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | Template ID |
Sample Requests
Create Policy Template
Bash
curl -X POST "https://{{HOST}}/catalog-server/api/policy-templates" \ -H "Content-Type: application/json" \ -d '{ "name": "basic_null_checks", "items": [...] }'List Policy Template
Bash
curl -X GET "https://{{HOST}}/catalog-server/api/policy-templates"Get Templates
Bash
curl -X GET "https://{{HOST}}/catalog-server/api/policy-templates/42"Update Policy Template
Bash
curl -X PUT "https://{{HOST}}/catalog-server/api/policy-templates/42" \ -H "Content-Type: application/json" \ -d '{ "description": "Updated explanation" }'Delete Policy Template
Bash
curl -X DELETE "https://{{HOST}}/catalog-server/api/policy-templates/42"Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
Last updated on
Was this page helpful?
Next to read:
User Defined Templates (UDF/UDT)For additional help, contact www.acceldata.force.com OR call our service desk +1 844 9433282
Copyright © 2025
Discard Changes
Do you want to discard your current changes and overwrite with the template?
Archive Synced Block
Message
Create new Template
What is this template's title?
Delete Template
Message